"use strict";
var FreeStyle = require("free-style");
function ensurePercent(value) {
    return typeof value === 'number'
        ? value
        : parseFloat(ensureString(value)) * .01;
}
exports.ensurePercent = ensurePercent;
function formatPercent(value) {
    return (value * 100) + '%';
}
exports.formatPercent = formatPercent;
function ensureString(x) {
    return typeof x.type === 'string'
        ? x.toString()
        : x;
}
exports.ensureString = ensureString;
function ensureStringObj(object) {
    var result = {};
    for (var key in object) {
        var val = object[key];
        if (key === '$unique') {
            result[FreeStyle.IS_UNIQUE] = val;
        }
        else if (key === '$nest') {
            var nested = val;
            for (var selector in nested) {
                var subproperties = nested[selector];
                result[selector] = ensureStringObj(subproperties);
            }
        }
        else {
            result[key] = ensureString(val);
        }
    }
    return result;
}
exports.ensureStringObj = ensureStringObj;
